/* 
 * Aqui podem colocar todo o javascript para comunicar com o portal do HSE!
 * 
 * No player.js, as funções standard de gravar, carregar e submeter nota são courseSave(), courseLoad() e courseGrade() e já estão a contar com esta alteração.
 * 
 * Se quiserem re-alterar para SCORM, em config.js a variável courseMode
 */

/*
 * Função saveInServer()
 * devolve 
 * result : success -> em caso de sucesso
 *          error -> neste caso result.message devolve o erro que existe
 */
function saveInServer(string){
    var userId=$('#userId').val();

    var jqxhr = $.post("http://more.solutions/projects/HSEJoining/ajax/game.php?setGameData", { userId:userId, string: string }, function(data) {
       //alert( "success" );
    }).done(function(data) { //SECOND SUCCESS
       var result = $.parseJSON(data);
       if(result.result=='success'){}
    }).fail(function(data) { //CONNECTION ERROR
        alert( "connection error" );
    }).always(function(data) { //ALWAYS
        
    });
}

function getFromServer(){  
    return $('#stringSaved').val();
}
